org.apache.lucene.util.packed

## Class MonotonicAppendingLongBuffer.Iterator

- java.lang.Object
- - org.apache.lucene.util.packed.MonotonicAppendingLongBuffer.Iterator

Enclosing class:
  MonotonicAppendingLongBuffer

    public final class MonotonicAppendingLongBuffer.Iterator
    extends Object

A long iterator.

### Method Summary

Methods
`boolean` `hasNext()` Whether or not there are remaining values.
`long` `next()` Return the next long in the buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasNext

    public final boolean hasNext()

Whether or not there are remaining values.

#### next

    public final long next()

Return the next long in the buffer.